package com.jwipc.log.annotation;

import com.jwipc.log.constant.ApiDirection;
import com.jwipc.log.constant.ThirdSysType;

import java.lang.annotation.*;

/**
 * @author shenyang.ou
 * @date 2024/3/18 14:02
 * @desc
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Documented
public @interface ApiOperateLog {
    /**
     * 接口编码
     */
    String code() default "";

    /**
     * 接口名称
     */
    String name() default "";


    /**
     * 接口方向
     */
    ApiDirection direction() default ApiDirection.OTHER_TO_SRM;

    /**
     * 第三方系统类型
     */
    ThirdSysType thirdSysType() default ThirdSysType.SAP;
}
